Package org.eclipse.net4j.db.ddl.delta

# Class IDBDeltaVisitor.Default

java.lang.Object
org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Default

All Implemented Interfaces:
  `IDBDeltaVisitor`

Direct Known Subclasses:
  `IDBDeltaVisitor.Filter`

Enclosing interface:
  IDBDeltaVisitor

public static class IDBDeltaVisitor.Default extends Object implements IDBDeltaVisitor

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor

`IDBDeltaVisitor.Copier, IDBDeltaVisitor.Default, IDBDeltaVisitor.Filter, IDBDeltaVisitor.StopRecursion`

## Constructor Summary

Constructors
Constructor
Description
`Default()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`added(IDBFieldDelta delta)`
`protected void`
`added(IDBIndexDelta delta)`
`protected void`
`added(IDBIndexFieldDelta delta)`
`protected void`
`added(IDBPropertyDelta<?> delta)`
`protected void`
`added(IDBSchemaDelta delta)`
`protected void`
`added(IDBTableDelta delta)`
`protected void`
`changed(IDBFieldDelta delta)`
`protected void`
`changed(IDBIndexDelta delta)`
`protected void`
`changed(IDBIndexFieldDelta delta)`
`protected void`
`changed(IDBPropertyDelta<?> delta)`
`protected void`
`changed(IDBSchemaDelta delta)`
`protected void`
`changed(IDBTableDelta delta)`
`protected boolean`
`handle(IDBDelta delta)`
`static RuntimeException`
`illegalChangeKind(IDBDelta.ChangeKind changeKind)`
`protected void`
`removed(IDBFieldDelta delta)`
`protected void`
`removed(IDBIndexDelta delta)`
`protected void`
`removed(IDBIndexFieldDelta delta)`
`protected void`
`removed(IDBPropertyDelta<?> delta)`
`protected void`
`removed(IDBSchemaDelta delta)`
`protected void`
`removed(IDBTableDelta delta)`
`protected final void`
`stopRecursion()`
`void`
`visit(IDBFieldDelta delta)`
`void`
`visit(IDBIndexDelta delta)`
`void`
`visit(IDBIndexFieldDelta delta)`
`void`
`visit(IDBPropertyDelta<?> delta)`
`void`
`visit(IDBSchemaDelta delta)`
`void`
`visit(IDBTableDelta delta)`
`protected void`
`visitDefault(IDBDelta delta)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Default

public Default()

## Method Details

### visit

public void visit(IDBSchemaDelta delta)

Specified by:
  `visit` in interface `IDBDeltaVisitor`

### added

protected void added(IDBSchemaDelta delta)

### removed

protected void removed(IDBSchemaDelta delta)

### changed

protected void changed(IDBSchemaDelta delta)

### visit

public void visit(IDBTableDelta delta)

Specified by:
  `visit` in interface `IDBDeltaVisitor`

### added

protected void added(IDBTableDelta delta)

### removed

protected void removed(IDBTableDelta delta)

### changed

protected void changed(IDBTableDelta delta)

### visit

public void visit(IDBFieldDelta delta)

Specified by:
  `visit` in interface `IDBDeltaVisitor`

### added

protected void added(IDBFieldDelta delta)

### removed

protected void removed(IDBFieldDelta delta)

### changed

protected void changed(IDBFieldDelta delta)

### visit

public void visit(IDBIndexDelta delta)

Specified by:
  `visit` in interface `IDBDeltaVisitor`

### added

protected void added(IDBIndexDelta delta)

### removed

protected void removed(IDBIndexDelta delta)

### changed

protected void changed(IDBIndexDelta delta)

### visit

public void visit(IDBIndexFieldDelta delta)

Specified by:
  `visit` in interface `IDBDeltaVisitor`

### added

protected void added(IDBIndexFieldDelta delta)

### removed

protected void removed(IDBIndexFieldDelta delta)

### changed

protected void changed(IDBIndexFieldDelta delta)

### visit

public void visit(IDBPropertyDelta<?> delta)

Specified by:
  `visit` in interface `IDBDeltaVisitor`

### added

protected void added(IDBPropertyDelta<?> delta)

### removed

protected void removed(IDBPropertyDelta<?> delta)

### changed

protected void changed(IDBPropertyDelta<?> delta)

### visitDefault

protected void visitDefault(IDBDelta delta)

### handle

protected boolean handle(IDBDelta delta)

### stopRecursion

protected final void stopRecursion()

### illegalChangeKind

public static RuntimeException illegalChangeKind(IDBDelta.ChangeKind changeKind)

Since:
  4.6